[Previous] [Next] [Contents]

## `PART::ListPart` -- list of partitions of a given weight

#### Call(s)

`PART::ListPart(n <,options>)`

#### Parameters

`n` | - | any non negative integer

#### Options

`maxlg=l` | - | maximal number of parts of each partition
`maxpart=p` | - | outermost possible shape
`regular=m` | - | only `m`-regular partitions are listed
`nb` | - | only counts objects

Use the syntax `hold(identifier)`, instead of `identifier`, if one of the identifiers above is already defined.

#### Introduction

The `PART::ListPart` function gives all partitions of `n`.

A partition of `n` is a weakly decreasing list of positive integers, called parts, with sum `n`.

When called with one argument, say `n`, the function returns the list of all partitions of `n`.

Given a partition `part`, `_plus(op(part))` gives its weight.

#### Example 1

    >> muEC::PART::ListPart( 4 );

                  [[4], [3, 1], [2, 2], [2, 1, 1], [1, 1, 1, 1]]

    >> muEC::PART::ListPart( 5, maxlg=3 );

                    [[5], [4, 1], [3, 2], [3, 1, 1], [2, 2, 1]]

    >> muEC::PART::ListPart( 5, maxpart=[3,2], maxlg=3 );

                          [[3, 2], [3, 1, 1], [2, 2, 1]]

    >> muEC::PART::ListPart( 100, nb );

                                     190569292

#### Related Functions

`ListPartIn`, `ListSkewDiag`, `TYP::IsPart`

[Previous] [Next] [Contents]

MuPAD Combinat, an open source algebraic combinatorics package